import { jsx } from "react/jsx-runtime";
import { TokenGSE as TokenGSE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenGSE = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "GSE", "data-name": "TokenGSE", ...props, children: /* @__PURE__ */ jsx(TokenGSE$1, { variant }) });
  }
);
TokenGSE.displayName = "TokenGSE";
Object.assign(TokenGSE, { isGdsIcon: true });
export {
  TokenGSE
};
